<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "specialty_medication".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "SpecialtyMedication".
 *
 * Columns in table "specialty_medication" available as properties of the model,
 * followed by relations of table "specialty_medication" available as properties of the model.
 *
 * @property integer $id
 * @property integer $sub_specialty_id
 * @property integer $medication_id
 *
 * @property Medication $medication
 * @property SubSpecialty $subSpecialty
 */
abstract class BaseSpecialtyMedication extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'specialty_medication';
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('sub_specialty_id, medication_id', 'required'),
            array('sub_specialty_id, medication_id', 'numerical', 'integerOnly' => true),
            array('id, sub_specialty_id, medication_id', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'medication' => array(self::BELONGS_TO, 'Medication', 'medication_id'),
            'subSpecialty' => array(self::BELONGS_TO, 'SubSpecialty', 'sub_specialty_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'sub_specialty_id' => Yii::t('app', 'Sub Specialty'),
            'medication_id' => Yii::t('app', 'Medication'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('sub_specialty_id', $this->sub_specialty_id);
        $criteria->compare('medication_id', $this->medication_id);

        return new CActiveDataProvider(
            get_class($this),
            array(
                'criteria' => $criteria,
                'pagination' => array('pageSize' => 100)
            )
        );
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'SpecialtyMedication|SpecialtyMedications', $n);
    }

}
